package org.iotivity.bridge.homeserver.handler.server;

import android.util.Log;

import org.iotivity.OCRequest;
import org.iotivity.OCRequestHandler;
import org.iotivity.bridge.homeserver.BridgeService;
import org.iotivity.bridge.homeserver.model.Light;
import org.iotivity.bridge.homeserver.model.OCFDevice;

public class PutRequestHandler implements OCRequestHandler {

    private static final String TAG = PutRequestHandler.class.getSimpleName();

    private BridgeService service;
    private OCFDevice device;

    public PutRequestHandler(BridgeService service, OCFDevice device) {
        this.service = service;
        this.device = device;
    }

    @Override
    public void handler(OCRequest request, int interfaces) {
        Log.d(TAG, "inside Put Request Handler");
        new PostRequestHandler(service, device).handler(request, interfaces);
    }
}
